This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 471252 - AVC denials with system-config-printer
AVC denials with system-config-printer
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Daniel Walsh
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-12 11:57 EST by Jakub Hrozek
Modified: 2009-01-08 14:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 14:10:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
cupds related AVC denial (2.60 KB, text/plain)
2008-11-12 11:57 EST, Jakub Hrozek
no flags Details
hplip avc denial (2.62 KB, text/plain)
2008-11-12 11:58 EST, Jakub Hrozek
no flags Details

  None (edit)
Description Jakub Hrozek 2008-11-12 11:57:17 EST
Created attachment 323350 [details]
cupds related AVC denial

Description of problem:
When adding a printer in RHEL5.3 via s-c-printer, I get the attached AVC denials. I have no idea whether SELinux or s-c-p is to blame, I'm just filing it here as a kind of a guess..

Version-Release number of selected component (if applicable):
selinux-policy-2.4.6-181.el5

How reproducible:
always

Steps to Reproduce:
1. fire up system-config-printer, try to add a printer
Comment 1 Jakub Hrozek 2008-11-12 11:58:06 EST
Created attachment 323351 [details]
hplip avc denial
Comment 2 Daniel Walsh 2008-12-01 13:55:54 EST
The first avc is fixed in selinux-policy-2.4.6-194.el5

The second one is incomplete, I have no idea what port hplip was trying to connect to .  Something went wrong with the reporting.  the port is not identified.

Do you have any idea what it was trying to do?

Note You need to log in before you can comment on or make changes to this bug.